<template>
    <v-row row justify-center>
        <v-dialog v-model="dialog" max-width="600">
            <!-- card -->
            <v-card>
                <v-card-title class="title">
                    {{ trans('messages.view_contact') }}
                    <v-spacer></v-spacer>
                    <v-btn text icon @click="dialog = false">
                        <v-icon>clear</v-icon>
                    </v-btn>
                </v-card-title>
                <v-divider></v-divider>
                <v-card-text>
                    <!-- container -->
                    <v-container align-center>
                        <v-row row >
                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.name') }} : </strong>
                                {{ contactData.name }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.email') }} : </strong>
                                {{ contactData.email }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.mobile') }} : </strong>
                                {{ contactData.mobile }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.alternate_num') }} : </strong>
                                {{ contactData.alternate_num }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.skype') }} : </strong>
                                {{ contactData.skype }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.linkedin') }} : </strong>
                                {{ contactData.linkedin }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.facebook') }} : </strong>
                                {{ contactData.facebook }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.twitter') }} : </strong>
                                {{ contactData.twitter }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.gender') }} : </strong>
                                {{ trans('messages.' + contactData.gender) }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.address') }} : </strong>
                                {{ contactData.address }}
                            </v-col>

                            <v-col xs="12" md="6">
                                <strong>{{ trans('messages.note') }} : </strong>
                                {{ contactData.note }}
                            </v-col>
                        </v-row>
                    </v-container>
                    <!-- /container -->
                </v-card-text>

                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn color="green darken-1" text @click="dialog = false">
                        {{ trans('messages.close') }}
                    </v-btn>
                </v-card-actions>
            </v-card>
            <!-- /card -->
        </v-dialog>
    </v-row>
</template>
<script>
export default {
    data() {
        return {
            contactData: [],
            dialog: false,
        };
    },
    methods: {
        view(data) {
            const self = this;
            axios
                .get('/admin/contacts/' + data.id, { params: { customer_id: data.customer_id } })
                .then(function(response) {
                    self.contactData = response.data;
                    self.dialog = true;
                })
                .catch(function(error) {
                    console.log(error);
                });
        },
    },
};
</script>
